#
# spec file for package rubygem-sprockets-rails
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sprockets-rails
Version:        3.5.2
Release:        1.2
%define mod_name sprockets-rails
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/sprockets-rails
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Sprockets Rails integration
License:        MIT

%description
Sprockets Rails integration.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.5.2, no changelog found
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.5.1, no changelog found
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.4.2
  [#] What's Changed
  * Fix protocol relative URLs amended accidentally by @PikachuEXE in #485
  * Add assets.resolve_assets_in_css_urls configuration option to allow disabling AssetUrlProcessor by @rmacklin in #489
  [#] New Contributors
  * @PikachuEXE made their first contribution in #485
  * @rmacklin made their first contribution in #489
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.2.2
  * Fix extending ActionView::Base instances with Sprockets::Rails::Helper on Rails 6.1
  * Fix deprecation warning on Ruby 2.7 [#454]
  * action_view/base is no longer required when rake tasks are loaded [#455]
  * Asset not precompiled error exception renamed to AssetNotPrecompiledError [#414]
* Fri Sep  8 2017 enavarro@suse.com
- updated to version 3.2.1
  * Fix load error with ActionView::Helpers. [#383]
* Fri Sep  2 2016 coolo@suse.com
- updated to version 3.2.0
  no changelog found
* Wed Jun 29 2016 coolo@suse.com
- updated to version 3.1.1
  no changelog found
* Tue Jun 28 2016 coolo@suse.com
- updated to version 3.1.0
  no changelog found
* Thu Mar  3 2016 coolo@suse.com
- updated to version 3.0.4
  no changelog found
* Wed Mar  2 2016 coolo@suse.com
- updated to version 3.0.3
  no changelog found
* Wed Feb 24 2016 coolo@suse.com
- updated to version 3.0.2
  no changelog found
* Fri Jan 29 2016 coolo@suse.com
- updated to version 3.0.1
  no changelog found
* Fri Dec 18 2015 coolo@suse.com
- updated to version 3.0.0
  no changelog found
* Tue Sep  8 2015 coolo@suse.com
- updated to version 2.3.3
  no changelog found
* Wed Jun 24 2015 coolo@suse.com
- updated to version 2.3.2
  no changelog found
* Wed May 13 2015 coolo@suse.com
- updated to version 2.3.1
  no changelog found
* Fri May  8 2015 coolo@suse.com
- updated to version 2.3.0
  no changelog found
* Mon Feb  9 2015 tboerger@suse.com
- Updated to 2.2.4
  For changelog look at https://github.com/rails/sprockets-rails/blob/master/CHANGELOG.md
* Mon Nov 10 2014 tboerger@suse.com
- Added last missing pieces of new macros with gem2rpm call
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 2.1.3, no changelog
* Sun Apr  6 2014 coolo@suse.com
- updated to version 2.1.0, no changelog
* Thu Oct 31 2013 coolo@suse.com
- updated to version 2.0.1
* Thu Jun 13 2013 coolo@suse.com
- initial package
